Bug 1239551 - gwenhywfar: FTBFS in rawhide (gnutls API/ABI change)
Summary: gwenhywfar: FTBFS in rawhide (gnutls API/ABI change)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gwenhywfar
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F23FTBFS
TreeView+ depends on / blocked
 
Reported: 2015-07-05 20:59 UTC by Dennis Gilmore
Modified: 2015-12-28 22:59 UTC (History)
2 users (show)

Fixed In Version: gwenhywfar-4.13.1-5.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-28 22:59:19 UTC
Type: ---


Attachments (Terms of Use)
build.log (67.96 KB, text/plain)
2015-07-05 20:59 UTC, Dennis Gilmore
no flags Details
root.log (97.92 KB, text/plain)
2015-07-05 20:59 UTC, Dennis Gilmore
no flags Details
state.log (637 bytes, text/plain)
2015-07-05 20:59 UTC, Dennis Gilmore
no flags Details
Patch for F23/rawhide (1.68 KB, patch)
2015-10-16 16:34 UTC, Yaakov Selkowitz
no flags Details | Diff

Description Dennis Gilmore 2015-07-05 20:59:18 UTC
Your package gwenhywfar failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=10095597

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

Comment 1 Dennis Gilmore 2015-07-05 20:59:19 UTC
Created attachment 1046971 [details]
build.log

Comment 2 Dennis Gilmore 2015-07-05 20:59:19 UTC
Created attachment 1046972 [details]
root.log

Comment 3 Dennis Gilmore 2015-07-05 20:59:20 UTC
Created attachment 1046973 [details]
state.log

Comment 4 Jan Kurik 2015-07-15 13:41:31 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 5 Yaakov Selkowitz 2015-10-16 16:34:51 UTC
Created attachment 1083760 [details]
Patch for F23/rawhide

This is part of an "old code" chunk which is #if 1, but there is also an 

http://koji.fedoraproject.org/koji/taskinfo?taskID=11476560 (f23)
http://koji.fedoraproject.org/koji/taskinfo?taskID=11476621 (rawhide)

Someone knowledgeable in GnuTLS should check that the "new code" is 
actually doing the right thing first.

Comment 6 Yaakov Selkowitz 2015-10-16 16:37:49 UTC
(Fixing comment 5)
This is part of an "old code" chunk which is #if 1, but there is also an #else thereto with a "new code" chunk.  Changing the conditional to #if GNUTLS_VERSION_NUMBER < 0x030400 allows the build to succeed:

http://koji.fedoraproject.org/koji/taskinfo?taskID=11476560 (f23)
http://koji.fedoraproject.org/koji/taskinfo?taskID=11476621 (rawhide)

Someone knowledgeable in GnuTLS should check that the "new code" is 
actually doing the right thing first.

Comment 7 Bill Nottingham 2015-12-12 03:08:24 UTC
It's almost certainly not, at least in terms of using the system crypto policies.

See https://bugzilla.redhat.com/show_bug.cgi?id=1179275 and https://bugzilla.redhat.com/show_bug.cgi?id=1179303.

Comment 8 Upstream Release Monitoring 2015-12-12 04:19:45 UTC
notting's gwenhywfar-4.13.1-5.fc24 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=704970

Comment 9 Fedora Update System 2015-12-12 04:47:25 UTC
gwenhywfar-4.13.1-5.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-277cc63d9f

Comment 10 Fedora Update System 2015-12-13 17:22:13 UTC
gwenhywfar-4.13.1-5.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gwenhywfar'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-277cc63d9f

Comment 11 Fedora Update System 2015-12-28 22:59:12 UTC
gwenhywfar-4.13.1-5.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.